%global         upstreamname  bats-core

Name:           bats
Version:        1.2.1
Release:        %mkrel 1
Summary:        Bash Automated Testing System
Group:          Shells
License:        MIT
URL:            https://github.com/%{upstreamname}/%{upstreamname}
Source0:        https://github.com/%{upstreamname}/%{upstreamname}/archive/v%{version}.tar.gz#/%{upstreamname}-%{version}.tar.gz

BuildArch:      noarch

Requires:       bash
Requires:       parallel
BuildRequires:	parallel

%description
Bats is a TAP-compliant testing framework for Bash. It provides a simple way to
verify that the UNIX programs you write behave as expected. Bats is most useful
when testing software written in Bash, but you can use it to test any UNIX
program.

%prep
%setup -q -n %{upstreamname}-%{version}

%install
./install.sh ${RPM_BUILD_ROOT}%{_prefix}

%files
%doc README.md AUTHORS
%license LICENSE.md
%{_bindir}/%{name}
%{_libexecdir}/%{upstreamname}
%{_prefix}/lib/%{upstreamname}
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man7/%{name}.7.*




%changelog
* Thu Dec 31 2020 neoclust <neoclust> 1.2.1-1.mga8
+ Revision: 1666654
- imported package bats

